"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.propTypes = exports.defaultProps = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _Blockquote = _interopRequireDefault(require("@bootstrap-styled/v4/lib/Blockquote"));

var _lodash = _interopRequireDefault(require("lodash.omit"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _lib = _interopRequireDefault(require("map-to-css-modules/lib"));

var _classnames = _interopRequireDefault(require("classnames"));

var defaultProps = {
  theme: {
    styleguide: {
      '$rsg-markdown-block-quote-margin': '16px 32px',
      '$rsg-markdown-block-quote-padding': '0',
      '$rsg-markdown-block-quote-color': '#333',
      '$rsg-markdown-block-quote-font-family': '-apple-system, BlinkMacSystemFont, "Segoe UI", "Roboto", "Oxygen", "Ubuntu", "Cantarell", "Fira Sans", "Droid Sans", "Helvetica Neue", sans-serif',
      '$rsg-markdown-block-quote-font-size': '15px',
      '$rsg-markdown-block-quote-line-height': '1.5',
      '$rsg-markdown-block-quote-border': 'none'
    }
  }
};
/* eslint-disable react/require-default-props */

exports.defaultProps = defaultProps;
var propTypes = {
  /**
   * @ignore
   */
  className: _propTypes.default.string,
  // eslint-disable-line react/require-default-props
  children: _propTypes.default.node.isRequired,

  /** Theme variables. Can be: */
  theme: _propTypes.default.shape({
    styleguide: _propTypes.default.shape({
      '$rsg-markdown-block-quote-margin': _propTypes.default.string,
      '$rsg-markdown-block-quote-padding': _propTypes.default.string,
      '$rsg-markdown-block-quote-color': _propTypes.default.string,
      '$rsg-markdown-block-quote-font-family': _propTypes.default.string,
      '$rsg-markdown-block-quote-font-size': _propTypes.default.string,
      '$rsg-markdown-block-quote-line-height': _propTypes.default.string,
      '$rsg-markdown-block-quote-border': _propTypes.default.string
    })
  }),

  /**
   * Replace or remove a className from the component.
   * See example <a href="https://www.npmjs.com/package/map-to-css-modules" target="_blank">here</a>.
   */
  cssModule: _propTypes.default.object // eslint-disable-line react/require-default-props

};
/* eslint-enable react/require-default-props */

exports.propTypes = propTypes;

var BlockquoteUnstyled = function BlockquoteUnstyled(props) {
  var _omit = (0, _lodash.default)(props, ['theme']),
      className = _omit.className,
      children = _omit.children,
      cssModule = _omit.cssModule,
      attributes = (0, _objectWithoutProperties2.default)(_omit, ["className", "children", "cssModule"]);

  return _react.default.createElement(_Blockquote.default, (0, _extends2.default)({
    className: (0, _lib.default)((0, _classnames.default)(className, 'rsg-markdown-blockquote'), cssModule)
  }, attributes), children);
};

BlockquoteUnstyled.defaultProps = defaultProps;
BlockquoteUnstyled.propTypes = propTypes;
var BlockquoteRsg = (0, _styledComponents.default)(BlockquoteUnstyled).withConfig({
  displayName: "BlockquoteRenderer__BlockquoteRsg",
  componentId: "sc-1vz6hpn-0"
})(["  ", ""], function (props) {
  return "\n    &.rsg-markdown-blockquote {\n      margin: ".concat(props.theme.styleguide['$rsg-markdown-block-quote-margin'], ";\n      padding: ").concat(props.theme.styleguide['$rsg-markdown-block-quote-padding'], ";\n      color: ").concat(props.theme.styleguide['$rsg-markdown-block-quote-color'], ";\n      font-family: ").concat(props.theme.styleguide['$rsg-markdown-block-quote-font-family'], ";\n      font-size: ").concat(props.theme.styleguide['$rsg-markdown-block-quote-font-size'], ";\n      line-height: ").concat(props.theme.styleguide['$rsg-markdown-block-quote-line-height'], ";\n      border: ").concat(props.theme.styleguide['$rsg-markdown-block-quote-border'], ";\n    }\n ");
});
BlockquoteRsg.defaultProps = defaultProps;
BlockquoteRsg.propTypes = propTypes;
var _default = BlockquoteRsg;
exports.default = _default;